/*
Theme Name: TchaoMegot
Description: Child theme for GeneratePress. You can now safely customize it and not risk losing your customizations.
Author: Florian | Progressio Web
Author URI: https://progressio-web.fr
Template: generatepress
Version: 1.0
*/


/**********************/
/****** GENERALE ******/
html,
body {
    overflow-x: clip;
}

p {
    margin-bottom: 0;
}

.featured-image {
    display: none;
}

/****** /GENERALE *******/


/********************/
/****** HEADER ******/
header.elementor.elementor-72.elementor-location-header {
    position: sticky;
    z-index: 50;
    top: 0;
}

header.elementor.elementor-72.elementor-location-header #header_master {
    transition: all 0.3s;
}

header.elementor.elementor-72.elementor-location-header #header_master.scrollBt {
    background: white;
    transition: all 0.3s;
    box-shadow: #00000059 0px 0px 3px;
}

header.elementor.elementor-72.elementor-location-header #header_master .elementor-widget-container {
    transition: all 0.3s;
}

header.elementor.elementor-72.elementor-location-header #header_master.scrollBt .elementor-widget-container {
    margin: 0px 0px 0px 0px;
    transition: all 0.3s;
    padding: 0px 0px 0px 0px;
}

header.elementor.elementor-72.elementor-location-header #header_master.scrollBt div#header_nav li.menu-item.menu-item-66:last-child a {
    color: white;
}

header.elementor.elementor-72.elementor-location-header #header_master.scrollBt ul#menu-menu-principal li a.ekit-menu-nav-link,
header.elementor.elementor-72.elementor-location-header #header_master.scrollBt .elementskit-navbar-nav>li>a .elementskit-submenu-indicator {
    color: #383838;
}

div#header_nav li.menu-item.menu-item-66:last-child a {
    background: #45793e;
    border-radius: 9999px;
    color: white;
    padding: 15px 25px;
}

div#header_nav li.menu-item.menu-item-66:last-child {
    margin-left: 10px;
}

div#header_master.scrollBt i.ekit-menu-icon.icon.icon-burger-menu {
    color: #383838;
}

div#ekit-megamenu-menu-principal .elementskit-nav-identity-panel img {
    max-width: 100px;
}

.xoo-wsc-footer a {
    background: #383838;
}

div#ekit-megamenu-menu-principal .elementskit-submenu-indicator {
    border: none !important;
}

div#header_master div#header_logo img {
    transition: all 0.3s;
    transition-delay: 0.3s;
}

div#header_master.scrollBt div#header_logo img {
    width: 60px;
    transition: all 0.3s;
    transition-delay: 0.3s;
}



div#gtranslate_wrapper .switcher .selected a, div#gtranslate_wrapper .switcher a {
    width: fit-content!important;
    border: none!important;
}

div#gtranslate_wrapper .switcher {
    width: 65px!important;
}
div#gtranslate_wrapper .switcher .selected {
    background: #383838!important;
}
div#gtranslate_wrapper .switcher .option {
    background: #383838;
    border: none;
}
div#gtranslate_wrapper  .switcher .selected a:after {
    mix-blend-mode: plus-lighter;
}
div#gtranslate_wrapper {
    z-index: 5!important;
    left: 30px!important;
}
div#gtranslate_wrapper .switcher .selected a:hover, div#gtranslate_wrapper .switcher .option a:hover {
    background: inherit;
}



.xoo-wsc-cart-trigger {
    cursor: pointer;
}

/**** HEADER PAGE SANS BANDEAU ****/
.single-product.woocommerce header.elementor.elementor-72.elementor-location-header #header_master.scrollBt div#header_nav li.menu-item.menu-item-66:last-child a {
    color: white;
}

.single-product.woocommerce header.elementor.elementor-72.elementor-location-header #header_master ul#menu-menu-principal li a.ekit-menu-nav-link,
.single-product.woocommerce header.elementor.elementor-72.elementor-location-header #header_master .elementskit-navbar-nav>li>a .elementskit-submenu-indicator {
    color: #383838;
}

.single-product.woocommerce #header_nav li.menu-item.menu-item-66:last-child a {
    color: white !important;
}

.single-product.woocommerce header.elementor.elementor-72.elementor-location-header #header_master {
    box-shadow: #00000059 0px 0px 3px;
}


/******* /HEADER PAGE SANS BANDEAU *******/

@media screen and (max-width: 1024px) {
    div#header_nav li.menu-item.menu-item-66:last-child a {
        background: none;
        color: #45793e !important;
        padding: 10px;
    }

    div#header_master.scrollBt div#header_logo img {
        width: 100px;
    }
}

/****** /HEADER *****/


/****************************/
/******* SLIDER HOME *********/
div#slider_home .swiper-slide-contents {
    background: #00000054;
    padding: 50px;
    width: 700px;
    max-width: 100%;
}

div#slider_home .swiper-slide-inner {
    padding-left: 0 !important;
}

div#slider_home .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets {
    width: fit-content;
    left: 50px;
    bottom: 30px;
}

div#slider_home .elementor-swiper-button-next {
    right: 50px;
    bottom: 40px;
    top: auto;
    transform: translateY(0px);
}

div#slider_home .elementor-swiper-button-prev {
    left: auto;
    top: auto;
    transform: translateY(0px);
    bottom: 40px;
    right: 90px;
}

div#slider_home .swiper-pagination-bullet {
    height: 25px !important;
    width: 10px !important;
    border-radius: 23px;
    transform: rotate(-15deg);
    margin: 0px 8px;
}

div#slider_home h1,
div#slider_home h2 {
    font-weight: 900;
    font-size: 42px;
    line-height: 1.2em;
}

@media screen and (max-width: 1024px) {

    div#slider_home h1,
    div#slider_home h2 {
        font-size: 24px;
    }

    div#slider_home .swiper-slide-contents {
        padding: 30px;
    }

    div#slider_home .swiper-slide-inner {
        padding: 0 !important;
    }
}

/****** /SLIDER HOME *****/


/****************************/
/******* NEWSLETTERS ********/
div#form_sib_custom {
    display: flex;
    max-width: 550px;
}

div#form_sib_custom .sib-email-area {
    width: 70%;
}

div#form_sib_custom .sib-email-area input {
    width: 100% !important;
    background: none;
    border: #383838 solid 1px;
    border-radius: 200px 0px 0px 200px;
    height: 60px;
}
.wpforms-field-textarea textarea {
    height: 250px!important;
    margin-top: 10px;
}

div#form_sib_custom .sib-submit-area {
    width: 30%;
}

.choices.wpforms-field-row.wpforms-field-large .choices__inner {
    height: 55px;
    background: #f9f9f9;
    border: solid 1px #d9d9d9;
    margin-top: 10px;
}

div#form_sib_custom .sib-submit-area input {
    width: 100% !important;
    background: #383838;
    border: #383838 solid 1px;
    border-radius: 0px 200px 200px 0px;
    height: 60px;
    color: #F4E1C1;
    font-weight: bold;
}

div#form_sib_custom .sib-submit-area input:hover {
    background: #383838;
    border: #383838 solid 1px;
    color: #F4E1C1;
    font-weight: bold;
}

/******* /NEWSLETTERS *****/

#slider_logo_depollution .slick-dotted.slick-slider {
    margin-bottom: 0;
}

/****** PAGE PRODUIT *******/

#desc_product_single ul {
    margin-bottom: 0;
    margin-left: 30px;
}

#desc_product_single ul li {
    margin-bottom: 10px;
}

#desc_product_single ul li:last-child {
    margin-bottom: 0px;
}

span.onsale {
    background-color: #45793e!important;
    padding: 10px!important;
    left: 20px!important;
    top: 20px!important;
    width: 70px;
    height: 70px;
    font-size: 13px!important;
    font-weight: 500!important;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

/******* /PAGE PRODUIT *******/

/******** PAGE ARTICLE ******/

#article_unique_content p, #article_unique_content img, #article_unique_content .wp-block-embed {
    margin-bottom: 20px;
}

/*********** FORMULAIRE DEMANDE DE DEIVS *************/
#form_devis_container ul li img {
    object-fit: cover;
    height: 220px;
}
#form_devis_container .wpforms-form ul.wpforms-image-choices-modern .wpforms-image-choices-image:after {
    display:none;
}
#form_devis_container .desc_content_bornes a {
    background: #45793e;
    color: white;
    text-decoration: none;
    padding: 15px 15px;
    display: block;
    width: 100%;
    border-radius: 0;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    margin-top: -10px;
    text-align: center;
    font-weight: bold;
}
#form_devis_container .desc_content_bornes {
    font-size: 14px;
    padding: 0;
}
.image_produit {
    padding-bottom: 0!important;
}
#form_devis_container .wpforms-container-full .wpforms-form ul.wpforms-image-choices-modern .wpforms-selected label {
    box-shadow: none;
    border: solid #45793e 1px;
    transition: all 0s;
}
.label_custom label.wpforms-field-label {
    font-size: 14px!important;
    margin-bottom: 10px!important;
}
.field_custom {
    padding: 0!important;
    margin-bottom: 15px!important;
}
.label_custom input[type=number] {
    height: 55px!important;
    border: solid 1px #b1b1b1!important;
}
.input_custom input {
    height: 55px!important;
    margin-top: 10px!important;
    border: solid 1px #dddddd!important;
}
.wpforms-clear.wpforms-pagebreak-left {
    text-align: right!important;
}
.wpforms-form .wpforms-pagebreak-left button {
    background:  #45793e!important;
    border: none!important;
    color: white!important;
    font-size: 18px!important;
    padding: 15px 30px!important;
    border-radius: 9999px!important;
    width: 200px!important;
    max-width: 100%!important;
}
button.wpforms-page-button.wpforms-page-prev {
    background: #313131!important;
}
.wpforms-page.last .wpforms-clear.wpforms-pagebreak-left {
    text-align: left!important;
}
.wpforms-submit-container button[type=submit] {
    background: #45793e!important;
    color: white!important;
    border-radius: 999px!important;
    width: 150px!important;
    height: 150px!important;
    font-size: 24px!important;
    line-height: 1em!important;
    transition: all 0.25s ease-in-out;
}
.wpforms-submit-container button[type=submit]:hover {
    background: #35632f!important;
    transition: all 0.25s ease-in-out;
}
@media screen and (max-width:800px){
    .wpforms-form .wpforms-pagebreak-left button {
    width: 100%!important;
    margin-bottom: 20px!important;
}
}
#form_contact_container .wpforms-field-layout {
    margin: 0;
    padding: 0;
}
#form_contact_container h2{
    font-weight: bold;
    margin-bottom: 0;
}
#form_contact_container div#wpforms-1010-field_23-container {
    margin-bottom: 0;
}
#form_contact_container  .wpforms-submit-container button[type=submit] {
    background: #45793e!important;
    color: white!important;
    border-radius: 999px!important;
    font-size: 24px!important;
    line-height: 1em!important;
    transition: all 0.25s ease-in-out;
    width: auto!important;
    height: auto!important;
}
#form_contact_container div.wpforms-container-full .wpforms-form .iti input[type=tel], #form_contact_container div.wpforms-container .wpforms-form .iti--allow-dropdown input[type=tel] {
    margin-top: 10px!important;
}
#form_contact_container .choices.wpforms-field-row.wpforms-field-large .choices__inner {
    box-shadow: 3px 3px 0px 0px #45793e;
}
#form_contact_container div#wpforms-1010-field_34-container {
    margin-bottom: 5px;
}
#form_contact_container .iti.iti--allow-dropdown {
    height: 100%!important;
    display: block!important;
}
#form_contact_container div#wpforms-1010-field_48-container, div#wpforms-1010-field_49-container {
    margin-bottom: 10px;
    padding-top: 10px;
}